

/** 游戏服务器配置，给客户端读取使用 */
export class GameServerConfig {
    public static isLocalServer: boolean = false;
    /** 匹配服服务器地址 */
    public static MATCH_SERVER = 'http://192.168.30.105:3001';
    /** 游戏服务器地址 */
    public static ROOM_SERVER = 'ws://192.168.30.105:3000';
    // public static ROOM_SERVER = 'ws://118.190.242.151';
    // public static ROOM_SERVER = location.hostname;
    /** 两个心跳数据包之间的间隔时间（单位：毫秒） */
    static heartbeat_interval: number = 1000;
    /** 如果在此期间心跳数据包没有得到回复，连接将被关闭（单位：毫秒） */
    static heartbeat_timeout: number = 3000;
    /** 客户端发送玩家状态信息的频率 */
    static player_state_update_rate: number = 0.066;

    /**竞技服版本号 */
    public static clientVersion: number = 1;
    /** 客户端同步版本号 */
    public static syncVersion: number = 1;
    /** 客户端版本号 */
    public static appVersion: number = 220;


}